*use "add path\data_svo.dta", clear

*Test of uniformity of the aggregate cheating distribution (left panel: Figure 1)
ksmirnov mean_die=2.5

*Spearman's rank correlation coefficient test of correlation between SVO angle and reported profit levels  
spearman mean_die svo_angle

*Test confirmantion with Pearson's rank correlation test
pwcorr mean_die svo_angle, sig

*Test of the gender differences that the aggregate cheating distribution is uniform
ksmirnov mean_die=2.5 if female==0
ksmirnov mean_die=2.5 if female==1

*Gender differences in reported mean profit levels
ranksum mean_die, by(female)

*Gender differences in the distribution of reported mean profit levels (left panel: Figure 2)
ksmirnov mean_die, by(female)

*Gender differences in the distribution of SVO (right panel: Figure 2)
ksmirnov svo_angle, by(female)

*Gender differences in the mean of SVO
ranksum svo_angle, by(female)


*Mediation Analysis
*OLS general effect of female subjects on mean reported profit level
reg mean_die female

*Structural Equation Model (SEM): Mediation Analysis (with covariates)
sem (mean_die <- svo_angle female risk_soep age econ_dummy) (svo_angle <-female risk_soep age econ_dummy)

*Structural Equation Model (SEM): indirect effects
estat teffects

*Structural Equation Model (SEM): Mediation Analysis (without covariates)
sem (mean_die <- svo_angle female) (svo_angle <-female)

*Structural Equation Model (SEM): indirect effects
estat teffects
